ApiKeys

Get an API key

Returns the API key with the given ID, including its metadata and access. Use this endpoint to get an API key through the Samva email API.

GET
/v1/api-keys/{id}

Returns the API key with the given ID, including its metadata and access.

Authorization

apiKey
headerx-api-key<token>

Path Parameters

id*string
Match^key_[0-9a-hjkmnp-tv-z]{16,24}$

Response Body

ApiKey

application/json
  1. response
id*string
name*string
key?string|null
start*string|null
end*string|null
description?string|null
createdAt*string
expiresAt*string|null
lastUsedAt*string|null
isActive*boolean
access*|
owner*|null
Example Request
import { createClient } from "samva";const samva = createClient({ apiKey: process.env.SAMVA_API_KEY! });const result = await samva.apiKeys.get({  "id": "example"});
Example Response
{  "id": "string",  "name": "string",  "key": "string",  "start": "string",  "end": "string",  "description": "string",  "createdAt": "string",  "expiresAt": "string",  "lastUsedAt": "string",  "isActive": true,  "access": {    "mode": "full"  },  "owner": {    "id": "string",    "name": "string",    "email": "string"  }}

Related documentation